<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <!-- 图表标题 -->
    <RelativeLayout
        android:id="@+id/title_lay"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintRight_toLeftOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        android:background="@color/main_title_bg_color"
        >

        <ImageView
            android:id="@+id/back_img"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:src="@mipmap/back"
            android:layout_centerVertical="true"
            android:layout_marginStart="15dp"
            android:contentDescription="back_btn" />

        <RelativeLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:padding="5dp"
            android:layout_centerInParent="true">

            <!-- goods name -->
            <TextView
                android:id="@+id/goods_name_tv"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text = "商品名称"
                android:layout_centerHorizontal="true"
                android:textColor="@color/white"
                />

            <!-- goods code -->
            <TextView
                android:id="@+id/goods_code_tv"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@+id/goods_name_tv"
                android:text="cu2013"
                android:textColor="@color/white"
                />

            <!-- goods tag -->
            <TextView
                android:id="@+id/tag_type_tv"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@+id/goods_name_tv"
                android:layout_toEndOf="@+id/goods_code_tv"
                android:text="主"
                android:textColor="@color/white"
                android:background="@color/rma_yellow_text_color"
                android:layout_marginStart="3dp"
                android:layout_marginRight="3dp"
                />

            <!-- market tag -->
            <TextView
                android:id="@+id/tag_market_tag"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@+id/goods_name_tv"
                android:layout_toEndOf="@+id/tag_type_tv"
                android:text="上期所"
                android:textColor="@color/white"
                android:background="@color/teal_200"
                android:layout_marginStart="3dp"
                android:layout_marginRight="3dp"
                />

        </RelativeLayout>

        <ImageView
            android:id="@+id/search_img"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentEnd="true"
            android:layout_centerVertical="true"
            android:src="@mipmap/main_search"
            android:layout_marginEnd="15dp"
            />

    </RelativeLayout>

    <!-- 图表信息 -->
    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/goodsInfo_rv"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintRight_toLeftOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/title_lay" />

</androidx.constraintlayout.widget.ConstraintLayout>